Issue 122041 - [sidebar]: Unify usages of ColorPopups and their appearances
[sidebar]: Unify usages of ColorPopups and their appearances
Status: RESOLVED FIXED
Product: General
Classification: Code
Component: ui
4.0.0-dev
All All
: P3 normal (vote)
: 4.0.0
Assigned To: Armin Le Grand
:
Depends on:
Blocks: [sidebar]
  Show dependency treegraph
 
Reported: 2013-04-12 08:51 UTC by Armin Le Grand
Modified: 2013-07-11 13:56 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description Armin Le Grand 2013-04-12 08:51:50 UTC
ALG: In the sidebar and other places in AOO are color popups in place which have various looks, try to unify these as much as possible.
Comment 1 Armin Le Grand 2013-04-12 08:52:18 UTC
ALG: Grepping...
Comment 2 Armin Le Grand 2013-04-12 08:57:10 UTC
ALG: Detected various users of color-based ValueSets:
- svx::sidebar::ColorControl (used in sidebar)
- SvxColorDockingWindow (color dock)
- SvxColorWindow_Impl (text color popup, maybe more)
- More, to be identified

Already experimented with auto layouting the first, olling how all this may be unified
Comment 3 Armin Le Grand 2013-04-12 11:46:12 UTC
ALG: As a first step unified used classes, reduced dependencies between svx and sd in their usages. Created a common BaseClass, starting moving implementations there...
Comment 4 Armin Le Grand 2013-04-12 16:10:01 UTC
ALG: Common base class now used for all known popups, looking for the color tabpage table...
Comment 5 Armin Le Grand 2013-04-15 09:48:04 UTC
ALG: Getting the color ValueSets correctly layouted is a tricky thing, still balancing the right codes...
Comment 6 Armin Le Grand 2013-04-15 11:00:54 UTC
ALG: Works pretty well now. Found one more incarnation, in paragraph background tab page, replacing...
Comment 7 Armin Le Grand 2013-04-15 12:57:52 UTC
ALG: To really get this correct I'll have to include all the flag handling for WB_ITEMBORDER/WB_DOUBLEBORDER and the fields WB_NAMEFIELD/WB_NONEFIELD. Looks better, though...
Comment 8 Armin Le Grand 2013-04-15 13:31:46 UTC
ALG: paragraph background tab page replaced, was complicated due to being embedded in even another way to a framing window. Sizing calculatins good now, all color previews use same color item preview size now.
Looking for more color dialogs, just in case...
Comment 9 Armin Le Grand 2013-04-15 15:20:50 UTC
ALG: Looking for visualization itself; can this easily be enhanced..?
Comment 10 SVN Robot 2013-04-16 09:41:08 UTC
"alg" committed SVN revision 1468340 into trunk:
i122041 Unified and centralized control for Color ValueSets
Comment 11 Armin Le Grand 2013-04-16 09:43:28 UTC
ALG: Comitted changes so far, pretty much done.
Comment 12 Armin Le Grand 2013-04-16 12:49:23 UTC
ALG: Another one found: Sheet, Format/sheet/TabColor. Checking...
Comment 13 Armin Le Grand 2013-04-16 15:13:01 UTC
ALG: Adapted some smaller things in other dialogs, centered ColorControl better when used in another framing window. Implemented correct layouting for Calc's own sheet background color dialog (format/sheet/TabColor). Also added test code to make the color control dialog look better.
Preparing checkin...
Comment 14 Armin Le Grand 2013-04-16 16:44:17 UTC
ALG: Added vaues for defining behaviour of ColorValueSets to SvtAccessibilityOptions, added defaults, made user-changeable. Preparing commit...
Comment 15 SVN Robot 2013-04-16 16:49:13 UTC
"alg" committed SVN revision 1468503 into trunk:
i122041 Added vaues for defining behaviour of ColorValueSets to SvtAccessibil...
Comment 16 SVN Robot 2013-04-16 17:14:48 UTC
"alg" committed SVN revision 1468510 into trunk:
i122041 Adapted the descriptions in Common.xcs slightly
Comment 17 SVN Robot 2013-04-17 09:24:33 UTC
"alg" committed SVN revision 1468810 into trunk:
i122041 Added WaE patch from Pavel
Comment 18 Armin Le Grand 2013-04-17 12:27:04 UTC
ALG: Removing 'No COlor' entry for LinePropertyPanel line color select; to switch off LineStyle, use LineStyle->None (as in all dialogs, Toolbars and dropdowns).
Instead, 'Automatic' is missing in TextPropertyPanel, checking...
Comment 19 Armin Le Grand 2013-04-17 13:12:46 UTC
ALG: Added 'Automatic' to TextPropertyPanel FontColor and HilightColor, added 'No Color' to ParagraphPropertyPanel BackgroundColor, looks good. Checking some more...
Comment 20 SVN Robot 2013-04-17 13:20:17 UTC
"alg" committed SVN revision 1468897 into trunk:
i122041 Added 'Automatic' to TextPropertyPanel FontColor and HilightColor, ad...
Comment 21 Armin Le Grand 2013-04-17 15:40:06 UTC
ALG: Added slot GetListBoxMaximumLineCount to SvtAccessibilityOptions to have a central, user-definable fallback for the maximum number of lines in DropDown ListBoxes. Preparing using this...
Comment 22 Armin Le Grand 2013-04-18 08:46:49 UTC
ALG: Need to also add some settings to vcl's AllSettings (StyleSettings) to have them available in vcl, doing this...
Comment 23 Armin Le Grand 2013-04-19 12:34:35 UTC
ALG: VclSettings adapted, works well. Chekcing if UserDraws are needed for some svx-defined ListBoxes (HatchingLB, GradientLB, BitmapLB, ColorListBox)...
Comment 24 Armin Le Grand 2013-04-19 13:19:18 UTC
ALG: Not needed, will greatly reduce complexity. Removing...
Comment 25 Armin Le Grand 2013-04-19 14:28:59 UTC
ALG: A ListBox compared to a ValueSet has no color entries at all, thus only the UserDraw mechanism allows showing colors and is used for this. The derivation ColorListBox implements the UserDraw and works around this by keeping an own entry list in parallel to the ListBox one...
Comment 26 Armin Le Grand 2013-04-19 16:59:00 UTC
ALG: Made some experiments with UI element sizes; it shows that these are best defined relative to system UI font size (using MAP_APPFONT like in the ressource files). Checking usage of this for sizes of color dialog box content and ListBox contents, maybe some added option values should be removed again and all stuff be defined relative to UI font size (as the ListBoxes themselves).
Comment 27 Armin Le Grand 2013-04-22 09:36:38 UTC
ALG: MAP_APPFONT works correctly and is the way to go. Adapting to this and taking out some of the already added configuration items again. Looking for a good central place for the default UI-Preview sizes...
Comment 28 Armin Le Grand 2013-04-22 15:27:27 UTC
ALG: Works as expected. Added many details (better Bitmap scaling for FillBitmap preview and similar stuff). Preparing commit...
Comment 29 SVN Robot 2013-04-22 16:41:16 UTC
"alg" committed SVN revision 1470611 into trunk:
i122041 More unifications for FillStyles, better defaults, better preview vis...
Comment 30 Armin Le Grand 2013-04-22 19:14:40 UTC
ALG: Comitted, done. Preparing update and rebuild of trunk